import { formatNumberWithCurrency as c } from "./index-format-number-with-currency.js";
const o = (r, e) => {
  const t = r ? r.includes("_") ? r.replace("_", "-") : r : void 0;
  return (n, u, d = !1) => d ? c(n, {
    currency: e,
    locale: t,
    ...u
  }).replace(/\d+(?:,\d+)?(?:\.\d+)?/g, "") : c(n, {
    currency: e,
    locale: t,
    ...u
  });
};
export {
  o as useFormatNumberWithCurrency
};
